package m05bClasses.m05bPaginacion.m05bValueObject;

import java.io.Serializable;

/**
 * Clase que define la salida del Log en un fichero definido en la configuracion de la aplicacion.
 */  
public class m05bRelAsignaciones implements Serializable{
	private String codigo= "";
	private String matricula= "";
	private String FEntrada= "";
	private String dni= "";
	private String nombre= ""; 
	private String FSalida= "";
	private String finalizada= "";
	private String FDevolucion= "";
//	Agurtzane Feb12: columnas telemático
	private String telematica= "";
	private String firmada= "";
//	Fin Agurtzane Feb12: columnas telemático
	private String solicitud= "";//	Agurtzane Mar12: relacionar solicitud y asignación

	
	/**
	 * @return Returns the codigo.
	 */
	public String getCodigo() {
		return codigo;
	}
	/**
	 * @param codigo The codigo to set.
	 */
	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}
	/**
	 * @return Returns the dni.
	 */
	public String getDni() {
		return dni;
	}
	/**
	 * @param dni The dni to set.
	 */
	public void setDni(String dni) {
		this.dni = dni;
	}
	/**
	 * @return Returns the fDevolucion.
	 */
	public String getFDevolucion() {
		return FDevolucion;
	}
	/**
	 * @param devolucion The fDevolucion to set.
	 */
	public void setFDevolucion(String devolucion) {
		FDevolucion = devolucion;
	}
	/**
	 * @return Returns the fEntrada.
	 */
	public String getFEntrada() {
		return FEntrada;
	}
	/**
	 * @param entrada The fEntrada to set.
	 */
	public void setFEntrada(String entrada) {
		FEntrada = entrada;
	}
	/**
	 * @return Returns the finalizada.
	 */
	public String getFinalizada() {
		return finalizada;
	}
	/**
	 * @param finalizada The finalizada to set.
	 */
	public void setFinalizada(String finalizada) {
		this.finalizada = finalizada;
	}
//	Agurtzane Feb12: columnas telemático
	/**
	 * @return Returns the firmada.
	 */
	public String getFirmada() {
		return firmada;
	}
	/**
	 * @param firmada The firmada to set.
	 */
	public void setFirmada(String firmada) {
		this.firmada = firmada;
	}
	/**
	 * @return Returns the telematica.
	 */
	public String getTelematica() {
		return telematica;
	}
	/**
	 * @param telematica The telematica to set.
	 */
	public void setTelematica(String telematica) {
		this.telematica = telematica;
	}
//	Fin Agurtzane Feb12: columnas telemático
//	Agurtzane Mar12: relacionar solicitud y asignación
	/**
	 * @return Returns the solicitud.
	 */
	public String getSolicitud() {
		return solicitud;
	}
	/**
	 * @param telematica The telematica to set.
	 */
	public void setSolicitud(String solicitud) {
		this.solicitud= solicitud;
	}
	//	Fin Agurtzane Mar12: relacionar solicitud y asignación
	/**
	 * @return Returns the fSalida.
	 */
	public String getFSalida() {
		return FSalida;
	}
	/**
	 * @param salida The fSalida to set.
	 */
	public void setFSalida(String salida) {
		FSalida = salida;
	}
	/**
	 * @return Returns the matricula.
	 */
	public String getMatricula() {
		return matricula;
	}
	/**
	 * @param matricula The matricula to set.
	 */
	public void setMatricula(String matricula) {
		this.matricula = matricula;
	}
	/**
	 * @return Returns the nombre.
	 */
	public String getNombre() {
		return nombre;
	}
	/**
	 * @param nombre The nombre to set.
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
}